function showFloater(which, x, y) {
  thisFloater = document.getElementById(which);
  if (thisFloater) top.document.body.appendChild(thisFloater);
  else {
    thisFloater = top.document.getElementById(which);
    if (!thisFloater) return;
  }
  // Display the floater
  thisFloater.style.display = "block";
  thisFloater.style.top = y;
  thisFloater.style.left = x;
}

function hideFloater(which) {
  thisFloater = top.document.getElementById(which);
  if (thisFloater) thisFloater.style.display = "none";
}

function tooltipsVisible() {
  // Get the first div in the top document
  var divs = top.document.getElementsByTagName("DIV");
  // Loop through the list looking for visible floaters
  for (var i=0; i < divs.length; i++) {
    if ((divs[i].className == "ToolTip") && (divs[i].style.display != "none")) return divs[i];
  }
  return false;
}

function showTooltip(which) {
  // If any floaters are visible, we must wait for them to close before we display ours
  if (tooltipsVisible()) return false;
  thisFloater = document.getElementById(which);
  if (!thisFloater) return false;
  // Display the floater
  thisFloater.style.display = "block";
  thisFloater.style.top = (window.frameElement.offsetTop + mouse.clientY) - 5;
  thisFloater.style.left = (window.frameElement.offsetLeft + mouse.clientX) - 5;
  // Resize the floater to fit its contents
  var element = thisFloater.lastChild;
  while ((element) && (element != thisFloater)) {
    if (thisFloater.style.width < element.style.width) thisFloater.style.width = element.style.width + 4;
    element = element.parent;
  }
  thisFloater.onmouseover = function() {
    if (this.style.display != "block") this.style.display = "block";
    return true;
  }
  thisFloater.onmouseout = function () {
    this.style.display = "none";
    return true;
  }
}
