<?php

/* site.config.php
   This file stores basic configuration information for Siteation (database
   connection info, mostly).
   Part of Siteation.
   Copyright (C) 2005 Studio 703.  All rights reserved.
*/

// Determine the base path
$basePathEx = explode("/", __FILE__);
array_pop($basePathEx);
$basePath = implode("/", $basePathEx);
$baseURLEx = explode("/", $_SERVER['SCRIPT_NAME']);
array_pop($baseURLEx);

// This associative array holds all of our configuration information
$SITE_CONFIG = array(
  /* Database configuration information **************************************/
  /* If you are using Microsoft SQL Server, change this value to read "MSSQL" */
  "SQL_SERVER" => "MYSQL",
  /* This is the host name of your database server (you can include a port
     number, if you need to, by specifying: "hostname:port" */
  "SQL_HOSTNAME" => "localhost",
  /* This is the user name that Siteation will use to connect to the database
     server */
  "SQL_USER_NAME" => "malicoat_web",
  /* This is the password that Siteation will use to connect to the database
     server */
  "SQL_PASSWORD" => "Oxym0r0n!",
  /* This is the name of the database that contains your site */
  "SITE_DATABASE" => "malicoat_pixelracket",
  /* This is the path to the running script */
  "SCRIPT_PATH" => implode("/", $basePathEx),
  "SCRIPT_URL" => implode("/", $baseURLEx),
  /* This is the path to the site error template (used for outputting fatal
     errors) */
  "SITE_WEBMASTER" => "webmaster@pixelracket.com",
  // This is the prefix added to tables to distinguish them from others that
  // might appear in the same database
  "TABLE_PREFIX" => "",
  );
  
/* This value determines whether or not to display debugging information about
     your site.  You should only use this for site development and not while
     the site is live.  A value of 0 turns off debugging, while a value of 1
     enables debugging of the site and a value of 2 enables debugging of Smarty.
*/
define("SITE_DEBUG", 0);

?>
