    <table class="Post">
      [ * Retrieve each record * ]
      [ if $POST_COUNT > 0 ]
        [ * Set up the previous and next navigation buttons * ]
        <table width="100%">
          <tr>
            <td style="text-align:left">
              [ * Create the "Previous" link only if we are not starting from the beginning of the query results * ]
              [ if $PARAMS.start > 0 ]
                [ assign var="PREV_PAGE" value=$PARAMS.start-$PARAMS.max ]
                <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&get=[ $PARAMS.get|urlencode ]&from=[ $PARAMS.from ]&start=[ $PREV_PAGE ]&max=[ $PARAMS.max ]&sort=[ $PARAMS.sort ]"
                   title="Previous Page"
                   onMouseOver="window.status='Click to return to the previous page.';return true"
                   onMouseOut="window.status='';return true">&lt; Previous</a>
                [ else ]        
                  &nbsp;
              [ /if ]
            </td>
            <td style="text-align:right">
              [ * Create the "Next" link only if clicking it won't take us past the end of our query results * ]
              [ if $recordCount-$PARAMS.start > $PARAMS.max ]
                [ assign var="NEXT_PAGE" value=$PARAMS.start+$PARAMS.max ]
                 <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&get=[ $PARAMS.get|urlencode ]&from=[ $PARAMS.from ]&start=[ $NEXT_PAGE ]&max=[ $PARAMS.max ]&sort=[ $PARAMS.sort ]"
                    title="Next Page"
                    onMouseOver="window.status='Click to browse to the next page.';return true"
                    onMouseOut="window.status='';return true">Next &gt;</a>
              [ else ]
                &nbsp;
              [ /if ]
            </td>
          </tr>
        </table> 
        <!-- BEGIN RECORDS ---------------------------------------------------->
        [ section name=posts loop=$POST_COUNT max=$PARAMS.max ] 
          [ POSTS->Next assign="Record" ]
          <table class="Post">
            <tr>
              <td class="PostHeader">Record [ $Record.ID ]</td>
            </tr>
            [ foreach key=key item=value from=$Record ]
              [ if $key ne "ID" && $key ne "Replies" ]
                <tr>
                  <td class="PostFieldName">[ $key ]</td>
                </tr>
                <tr>
                  <td class="PostFieldData">
                    [ if $key eq "Variables" || $key eq "KeyValues" ]
                      <table class="Post">
                      [ assign var="variables" value=$value|explode_assoc:"|" ]
                        [ foreach key=varKey item=varValue from=$variables ]
                          <tr>
                            <td class="PostFieldName">[ $varKey ]</td>
                            <td class="PostFieldData">[ $varValue ]</td>
                          </tr>
                        [ /foreach ]
                      </table>
                    [ else ]
                      <blockquote>[ $value ]</blockquote>
                    [ /if ]
                  </td>
                </tr>
              [ /if ]
            [ /foreach ]
          </table>
          <hr>
        [ /section ]
        <!-- END RECORDS ------------------------------------------------------>
      [ else ]
        <table class="Post">
          <tr>
            <td class="PostFieldData"><em>There is nothing to display in this view.</em></td>
          </tr>
      </table>
    [ /if ]
