    <script language="Javascript">document.title = "[ $SITE.Site.SiteName ]: Search Results";</script>
    [ * Set up the previous and next navigation buttons * ]
    <table class="BrowseBar">
      <tr>
        <td style="text-align:left;width:75px">
          [ * Create the "Previous" link only if we are not starting from the beginning of the query results * ]
          [ if $viewParams.offset > 0 ]
            [ assign var="PREV_PAGE" value=$viewParams.offset-$viewParams.max ]
            <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $PREV_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
               title="Previous Page"
               onMouseOver="window.status='Click to return to the previous page.';return true"
               onMouseOut="window.status='';return true">&#9668; Previous Page</a>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
        <td style="text-align:center">
          Your search for &quot;<cite>[ $viewParams.keywords ]</cite>&quot; returned <strong>[ $RESULT_COUNT ]</strong> [ "result"|plural:$RESULT_COUNT ]
          [ if $RESULT_COUNT > 1 ]
            in <strong>[ $VIEW_RUNTIME ]</strong> [ "second"|plural:$SEARCH_TIME ].<br />
            Results <strong>[ $viewParams.offset+1 ]</strong> through 
            [ if $viewParams.max < $postCount ]
              <strong>[ $viewParams.offset + $viewParams.max ]</strong>
            [ else ]
              <strong>[ $postCount ]</strong>
            [ /if ] are displayed below.
          [ else ]
            .
          [ /if ]
        </td>
        <td style="text-align:right;width:75px">
          [ * Create the "Next" link only if clicking it won't take us past the end of our query results * ]
          [ if $viewParams.max < $postCount ]
            [ assign var="NEXT_PAGE" value=$viewParams.offset+$viewParams.max ]
             <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $NEXT_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
               title="Next Page"
               onMouseOver="window.status='Click to browse to the next page.';return true"
               onMouseOut="window.status='';return true">Next Page &#9658;</a>
          [ else ]
            &nbsp;
          [ /if ]
        </td>
      </tr>
    </table>
    <!-- BEGIN POSTS ---------------------------------------------------------->
    [ * Loop through each post retrieved for this view (up to the number of times specified in the parameters) * ]
    [ section name=RESULTS loop=$postCount max=$viewParams.max ]
      [ * Retrieve the next post * ]
      [ posts->Next assign="POST" ]
      <div class="Post">
        <div class="PostHeader">
          [ * Display the post title * ]
            <a href="viewpoint.php?view=Browse&channel=[ $POST.ChannelName|urlencode ]&dynamic=y&search=ID=[ $POST.ID ]"
               title="Click to view the entire post"
               onMouseOver="window.status='Click to view this post in its entirety.';return true"
               onMouseOut="window.status='';return true">[ $POST.Title ]</a>
          </div>
          <div class="PostInstructions">
            [ * Display information about the channel in which the post is located * ]
            <strong>In:</strong>
            [ * Link to the channel information * ]
            <a href="viewpoint.php?channel=[ $POST.ChannelName|urlencode ]"
               title="[ $POST.ChannelName ]"
               onMouseOver="window.status='Click to browse [ $POST.ChannelName ].';return true"
               onMouseOut="window.status='';return true">[ $POST.ChannelName ]</a>
            [ * Display the post relevance * ]
            [ if $POST.Rank > 0 ]
              | <strong>Relevance:</strong>
              [ $POST.Rank|string_format:"%0.1f%%" ]
            [ /if ]
          </div>
      </div>
      <div class="Post">
        [ * Display the post description * ]
        <div class="PostFieldData">
          [ $POST.Description ]
          <a href="viewpoint.php?view=Browse&channel=[ $POST.ChannelName|urlencode ]&dynamic=y&search=ID=[ $POST.ID ]"
             title="Click to view the entire post"
             onMouseOver="window.status='Click to view this post in its entirety.';return true"
             onMouseOut="window.status='';return true">...</a></td>
        </div
      </div>
      <div class="PostInstructions">
        <a href="viewpoint.php?view=Browse&channe=[ $POST.ChannelName|urlencode ]&dynamic=y&search=ID=[ $POST.ID ]"
           title="Click to view the entire post"
           onMouseOver="window.status='Click to view this post in its entirety.';return true"
           onMouseOut="window.status='';return true">View the entire post</a>
      </div>
    [ /section ]
    <!-- END POSTS ------------------------------------------------------------>
    [ * Set up the previous and next navigation buttons * ]
    [ if $RESULT_COUNT > 0 ]
      <table class="BrowseBar" cols="2">
        <tr>
          <td style="text-align:left">
            [ * Create the "Previous" link only if we are not starting from the beginning of the query results * ]
            [ if $viewParams.offset > 0 ]
              <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $PREV_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
                 title="Previous Page"
                 onMouseOver="window.status='Click to return to the previous page.';return true"
                 onMouseOut="window.status='';return true">&#9668; Previous Page</a>
            [ else ]
              &nbsp;
            [ /if ]
          </td>
          <td style="text-align:right">
            [ * Create the "Next" link only if clicking it won't take us past the end of our query results * ]
            [ if $viewParams.max < $postCount ]         
               <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&search=[ $viewParams.search|urlencode ]&offset=[ $NEXT_PAGE ]&max=[ $viewParams.max ]&sort=[ $viewParams.sort|urlencode ]"
                 title="Next Page"
                 onMouseOver="window.status='Click to browse to the next page.';return true"
                 onMouseOut="window.status='';return true">Next Page &#9658;</a>
            [ else ]
              &nbsp;
            [ /if ]
          </td>
        </tr>
      </table>
    [ /if ]
